.button {
    padding: 12px 24px;
    border-radius: 6px;
    display: flex;
    align-items: center;
    cursor: pointer;
    transition: 0.2s;
    flex-grow: 1;
    font-size: 14px;
    font-family: "Montserrat", sans-serif;
    letter-spacing: 1px;
}

.loader {
    margin-right: 6px;
}

.button:hover {
    color: #fff;
    background: linear-gradient(200deg,#08c,#14c4a4);;
}

.button__round {
    border-radius: 50%;
    padding: 12px;
}

.button__sm {
    padding: 6px 12px;
}

.button__md {
    padding: 6px 12px;
    font-size: 17px;
}

.button__lg {
    padding: 12px 24px;
    font-size: 20px;
}

.button__xl {
    padding: 13px 24px;
    font-size: 20px;
}

.icon {
    font-size: 20px;
}

.uppercase {
    text-transform: uppercase;
}

.secondary {
    background: none;
    color: #000;
}

.secondary:hover {
    background: none;
    color: #8a8a8a;
}

.disabled {
    background: #14c4a490;
    cursor: default;
}

.disabled:hover {
    background: #14c4a490;
}

.capitalize {
    text-transform: capitalize;
}

@media (max-width: 450px) {
    .button {
        padding: 14px 17px;
    }
    .button__sm {
        padding: 6px 10px;
        font-size: 12px;
    }

    .button__md {
        padding: 7px 12px;
        font-size: 14px;
    }

    .button__lg {
        padding: 9px 17px;
        font-size: 18px;
    }

    .button__xl {
        padding: 11px 2px;
        font-size: 18px;
    }
}
